Query Gifts with Abbreviated Details
curl --request POST \
--url https://api.virtuoussoftware.com/api/Gift/Query \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"groups": [
{
"conditions": [
{
"parameter": "<string>",
"operator": "<string>",
"value": "<string>",
"secondaryValue": "<string>",
"values": [
"<string>",
"<string>"
]
},
{
"parameter": "<string>",
"operator": "<string>",
"value": "<string>",
"secondaryValue": "<string>",
"values": [
"<string>",
"<string>"
]
}
]
},
{
"conditions": [
{
"parameter": "<string>",
"operator": "<string>",
"value": "<string>",
"secondaryValue": "<string>",
"values": [
"<string>",
"<string>"
]
},
{
"parameter": "<string>",
"operator": "<string>",
"value": "<string>",
"secondaryValue": "<string>",
"values": [
"<string>",
"<string>"
]
}
]
}
],
"sortBy": "<string>",
"descending": "<boolean>"
}
'{
"list": [
{
"id": "<integer>",
"contactId": "<integer>",
"contactIndividualId": "<integer>",
"giftType": "<string>",
"giftDate": "<string>",
"amount": "<string>",
"segment": "<string>",
"batch": "<string>",
"giftUrl": "<string>",
"culture": "<string>",
"exchangeRate": "<double>"
},
{
"id": "<integer>",
"contactId": "<integer>",
"contactIndividualId": "<integer>",
"giftType": "<string>",
"giftDate": "<string>",
"amount": "<string>",
"segment": "<string>",
"batch": "<string>",
"giftUrl": "<string>",
"culture": "<string>",
"exchangeRate": "<double>"
}
],
"total": "<integer>"
}Gift Queries
Query Gifts with Abbreviated Details
You can sort by Id, Amount, GiftDate, ReceiptDate and Batch.
POST
/
api
/
Gift
/
Query
Query Gifts with Abbreviated Details
curl --request POST \
--url https://api.virtuoussoftware.com/api/Gift/Query \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"groups": [
{
"conditions": [
{
"parameter": "<string>",
"operator": "<string>",
"value": "<string>",
"secondaryValue": "<string>",
"values": [
"<string>",
"<string>"
]
},
{
"parameter": "<string>",
"operator": "<string>",
"value": "<string>",
"secondaryValue": "<string>",
"values": [
"<string>",
"<string>"
]
}
]
},
{
"conditions": [
{
"parameter": "<string>",
"operator": "<string>",
"value": "<string>",
"secondaryValue": "<string>",
"values": [
"<string>",
"<string>"
]
},
{
"parameter": "<string>",
"operator": "<string>",
"value": "<string>",
"secondaryValue": "<string>",
"values": [
"<string>",
"<string>"
]
}
]
}
],
"sortBy": "<string>",
"descending": "<boolean>"
}
'{
"list": [
{
"id": "<integer>",
"contactId": "<integer>",
"contactIndividualId": "<integer>",
"giftType": "<string>",
"giftDate": "<string>",
"amount": "<string>",
"segment": "<string>",
"batch": "<string>",
"giftUrl": "<string>",
"culture": "<string>",
"exchangeRate": "<double>"
},
{
"id": "<integer>",
"contactId": "<integer>",
"contactIndividualId": "<integer>",
"giftType": "<string>",
"giftDate": "<string>",
"amount": "<string>",
"segment": "<string>",
"batch": "<string>",
"giftUrl": "<string>",
"culture": "<string>",
"exchangeRate": "<double>"
}
],
"total": "<integer>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The number of records to skip. Default = 0.
The number of records to take. Default = 10. Max is 1000.
Last modified on April 24, 2026
Was this page helpful?
⌘I